package org.jeecg.module.custom.ocr.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.jeecg.module.custom.ocr.base.BaseService;
import org.jeecg.module.custom.ocr.dataobject.OcrPicture;
import org.jeecg.module.custom.ocr.dataobject.Task;

import java.util.List;
import java.util.Map;

/**
 * 业务层
 */
public interface OcrPictureService extends BaseService<OcrPicture> {

    List<OcrPicture> listPage(Wrapper<OcrPicture> queryWrapper);

    /**
     * 批量保存 图片信息
     *
     * @param ocrPictureList
     * @return
     */
    int savePictures(List<OcrPicture> ocrPictureList);

    Map<String, String> getOcrPictureClassifyAndHash(String img);

    void savePicturesInfo(OcrPicture ocrPicture);

    OcrPicture getByTaskId(Long taskId);

    void savePicturesInfo(Task task, String fileName, String fileUrl , String type);
}
